org.apache.felix.ipojo

## Class MissingHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.felix.ipojo.MissingHandlerException

All Implemented Interfaces:
  java.io.Serializable

    public class MissingHandlerException
    extends java.lang.Exception

Missing Handler Exception. This exception occurs when an handler factory is missing to create an instance. In fact, when a required handler factory is not avialable or valid, the `Handler` object cannot be created, and so the instance container cannot be completed.

Author:
  Felix Project Team
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingHandlerException(java.util.List missing)` Creates a MissingHandlerException.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()` Gets the error message.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingHandlerException

    public MissingHandlerException(java.util.List missing)

Creates a MissingHandlerException. This methods computes the message from the given list.

Parameters:
  `missing` - the list of missing handlers.

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Gets the error message.

Overrides:
  `getMessage` in class `java.lang.Throwable`
Returns:
  the error message
See Also:
  `Throwable.getMessage()`